- group:    Intro
  start:    01-01-2021 00:00
  deadline: 28-02-2021 23:59
  tasks:
    - task: intro/aplusb
      score: 0
    - task: intro/deadlock
      score: 100
    - task: intro/dining
      score: 100
    - task: intro/jump
      score: 100
    - task: intro/guarded
      score: 100

- group:    Mutual Exclusion
  start:    01-01-2021 00:00
  deadline: 28-02-2021 23:59
  tasks:
    - task: mutex/livelock
      score: 200
    - task: mutex/mutex
      score: 200
    - task: mutex/spinlock
      score: 200
    - task: mutex/try-lock
      score: 200

- group:    Condition Variables
  start:    01-01-2021 00:00
  deadline: 07-03-2021 23:59
  tasks:
    - task: condvar/barrier
      score: 200
    - task: condvar/condvar
      score: 200
    - task: condvar/semaphore
      score: 200
    - task: condvar/thread-pool
      score: 400

- group:    Multi-Threaded Fibers - Intro
  start:    01-01-2021 00:00
  deadline: 20-03-2021 23:59
  tasks:
    - task: fibers/coroutine
      score: 500
